Subject: Standardnotes flatpak crash on KDE Plasma

From: Robert <[email-masked]>
Date: Fri, 31 Jan 2025 03:01:56 +0000 (UTC)

Hello,

I am running KDE Plasma on a late 2009 iMac with dual core intel and Nvidia 
graphics. When I try to run the Standardnotes flatpak I get the following 
errors:

~ $ flatpak run org.standardnotes.standardnotes
[3:0130/214352.728918:ERROR:bus.cc(407)] Failed to connect to the bus: Failed 
to connect to socket /run/dbus/system_bus_socket: No such file or directory
LaunchProcess: failed to execvp:
xdg-settings
[3:0130/214357.828961:ERROR:bus.cc(407)] Failed to connect to the bus: Failed 
to connect to socket /run/dbus/system_bus_socket: No such file or directory
[3:0130/214357.829025:ERROR:bus.cc(407)] Failed to connect to the bus: Failed 
to connect to socket /run/dbus/system_bus_socket: No such file or directory
Checking for beta autoupdate feature for deb/rpm distributions
Found package-type: deb
21:43:58.225  Checking for update
extServer: Server started at http://127.0.0.1:45653
[46:0130/214358.324095:ERROR:gbm_pixmap_wayland.cc(82)] Cannot create bo with 
format= RGBA_8888 and usage=SCANOUT
[46:0130/214358.324413:ERROR:gbm_pixmap_wayland.cc(82)] Cannot create bo with 
format= RGBA_8888 and usage=GPU_READ
[46:0130/214358.324564:ERROR:shared_image_factory.cc(1015)] CreateSharedImage: 
could not create backing.
[46:0130/214358.324775:ERROR:shared_image_factory.cc(764)] DestroySharedImage: 
Could not find shared image mailbox
[46:0130/214358.325038:ERROR:gpu_service_impl.cc(1125)] Exiting GPU process 
because some drivers can't recover from errors. GPU process will restart 
shortly.
[3:0130/214358.363449:ERROR:gpu_process_host.cc(1002)] GPU process exited 
unexpectedly: exit_code=8704
[80:0130/214358.468287:ERROR:command_buffer_proxy_impl.cc(132)] 
ContextResult::kTransientFailure: Failed to send 
GpuControl.CreateCommandBuffer.
[91:0130/214358.653826:ERROR:gbm_pixmap_wayland.cc(82)] Cannot create bo with 
format= RGBA_8888 and usage=SCANOUT
[91:0130/214358.659169:ERROR:gbm_pixmap_wayland.cc(82)] Cannot create bo with 
format= RGBA_8888 and usage=GPU_READ
[91:0130/214358.659411:ERROR:shared_image_factory.cc(1015)] CreateSharedImage: 
could not create backing.
[91:0130/214358.659767:ERROR:shared_image_factory.cc(764)] DestroySharedImage: 
Could not find shared image mailbox
[91:0130/214358.659939:ERROR:gpu_service_impl.cc(1125)] Exiting GPU process 
because some drivers can't recover from errors. GPU process will restart 
shortly.
[3:0130/214358.737056:ERROR:gpu_process_host.cc(1002)] GPU process exited 
unexpectedly: exit_code=8704
[108:0130/214358.980510:ERROR:gbm_pixmap_wayland.cc(82)] Cannot create bo with 
format= RGBA_8888 and usage=SCANOUT
[108:0130/214358.980943:ERROR:gbm_pixmap_wayland.cc(82)] Cannot create bo with 
format= RGBA_8888 and usage=GPU_READ
[108:0130/214358.981019:ERROR:shared_image_factory.cc(1015)] CreateSharedImage: 
could not create backing.
[108:0130/214358.981169:ERROR:shared_image_factory.cc(764)] DestroySharedImage: 
Could not find shared image mailbox
[108:0130/214358.981323:ERROR:gpu_service_impl.cc(1125)] Exiting GPU process 
because some drivers can't recover from errors. GPU process will restart 
shortly.
[80:0130/214358.987173:ERROR:command_buffer_proxy_impl.cc(132)] 
ContextResult::kTransientFailure: Failed to send 
GpuControl.CreateCommandBuffer.
[3:0130/214359.022506:ERROR:gpu_process_host.cc(1002)] GPU process exited 
unexpectedly: exit_code=8704
[80:0130/214359.227655:ERROR:command_buffer_proxy_impl.cc(132)] 
ContextResult::kTransientFailure: Failed to send 
GpuControl.CreateCommandBuffer.
21:43:59.736  Update for version 3.195.24 is not available (latest version: 
3.195.13, downgrade is disallowed).
21:44:00.582  Checking for update
21:44:00.808  Update for version 3.195.24 is not available (latest version: 
3.195.13, downgrade is disallowed).

Any help would be appreciated, thank you!

Robert